Index: /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/TOOLS/SIREN/src/iom_cdf.f90
===================================================================
--- /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/TOOLS/SIREN/src/iom_cdf.f90	(revision 10250)
+++ /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/TOOLS/SIREN/src/iom_cdf.f90	(revision 10251)
@@ -2231,5 +2153,5 @@
 
       il_status = NF90_PUT_VAR( td_file%i_id, td_var%i_id, dl_value(:,:,:,:))
-      CALL iom_cdf__check(il_status,"IOM CDF WRITE VAR VALUE: ")
+      CALL iom_cdf__check(il_status)
 
       DEALLOCATE( dl_value )
Index: /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/TOOLS/SIREN/src/iom_dom.f90
===================================================================
--- /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/TOOLS/SIREN/src/iom_dom.f90	(revision 10250)
+++ /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/TOOLS/SIREN/src/iom_dom.f90	(revision 10251)
@@ -71,5 +71,5 @@
    !>
    !> @author J.Paul
-   !> @date October, 2014 - Initial Version
+   !> - October, 2014- Initial Version
    !
    !> @param[inout] td_mpp mpp structure
@@ -106,5 +106,5 @@
    !>
    !> @author J.Paul
-   !> @date October, 2014 - Initial Version
+   !> - October, 2014- Initial Version
    !
    !> @param[in] td_mpp mpp structure
@@ -130,5 +130,5 @@
    !>
    !> @author J.Paul
-   !> @date October, 2014 - Initial Version
+   !> - October, 2014- Initial Version
    !>
    !> @param[in] td_mpp    mpp structure
@@ -194,5 +194,5 @@
    !
    !> @author J.Paul
-   !> @date October, 2014 - Initial Version
+   !> - October, 2014- Initial Version
    !
    !> @param[in] td_mpp    mpp structure
@@ -246,5 +246,5 @@
    !>
    !> @author J.Paul
-   !> @date October, 2014 - Initial Version
+   !> - October, 2014- Initial Version
    !>
    !> @todo
@@ -411,5 +411,5 @@
    !>
    !> @author J.Paul
-   !> @date October, 2014 - Initial Version
+   !> - October, 2014- Initial Version
    !
    !> @param[in] td_mpp    mpp structure
@@ -465,5 +465,5 @@
    !>
    !> @author J.Paul
-   !> @date October, 2014 - Initial Version
+   !> - October, 2014- Initial Version
    !>
    !> @param[in] td_mpp    mpp structure
@@ -524,5 +524,5 @@
    !>
    !> @author J.Paul
-   !> @date October, 2014 - Initial Version
+   !> - October, 2014- Initial Version
    !>
    !> @param[in] td_mpp    mpp structure
@@ -636,5 +636,5 @@
    !>
    !> @author J.Paul
-   !> @date October, 2014 - Initial Version
+   !> - October, 2014- Initial Version
    !
    !> @param[in] td_mpp    mpp structure
@@ -663,5 +663,5 @@
    !>
    !> @author J.Paul
-   !> @date October, 2014 - Initial Version
+   !> - October, 2014- Initial Version
    !
    !> @param[in] td_mpp    mpp structure
@@ -691,5 +691,5 @@
    !>
    !> @author J.Paul
-   !> @date October, 2014 - Initial Version
+   !> - October, 2014- Initial Version
    !
    !> @param[in] td_mpp    mpp structure
Index: /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/TOOLS/SIREN/src/iom_mpp.f90
===================================================================
--- /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/TOOLS/SIREN/src/iom_mpp.f90	(revision 10250)
+++ /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/TOOLS/SIREN/src/iom_mpp.f90	(revision 10251)
@@ -87,5 +87,5 @@
 !> J.Paul
 ! REVISION HISTORY:
-!> @date November, 2013 - Initial Version
+!> @date Nov, 2013 - Initial Version
 !>
 !> @note Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
@@ -137,5 +137,5 @@
    !>
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
+   !> - November, 2013- Initial Version
    !
    !> @param[inout] td_mpp mpp structure
@@ -161,7 +161,4 @@
 
       ELSE
-         ! 
-         td_mpp%i_id=1
-
          ! if no processor file selected
          ! force to open all files 
@@ -224,5 +221,5 @@
    !> 
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
+   !> - November, 2013- Initial Version
    !
    !> @param[inout] td_mpp mpp structure
@@ -251,5 +248,5 @@
    !>
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
+   !> - November, 2013- Initial Version
    !
    !> @param[in] td_mpp mpp structure
@@ -270,7 +267,4 @@
 
       ELSE
-         ! 
-         td_mpp%i_id=0         
-
          DO ji=1,td_mpp%i_nproc
             IF( td_mpp%t_proc(ji)%i_id /= 0 )THEN
@@ -291,5 +285,5 @@
    !>
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
+   !> - November, 2013- Initial Version
    !> @date October, 2014
    !> - use start and count array instead of domain structure.
@@ -320,11 +314,5 @@
          &               " in mpp strcuture "//TRIM(td_mpp%c_name))
 
-      ELSEIF( td_mpp%i_id == 0 )THEN
-
-         CALL logger_error( " IOM MPP READ VAR: mpp structure not opened. "//&
-         &               " can not read variable in "//TRIM(td_mpp%c_name))   
-      
       ELSE
-
 
          IF( ANY(td_mpp%t_proc(:)%i_id /= 0) )THEN
@@ -367,5 +355,5 @@
    !
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
+   !> - November, 2013- Initial Version
    !> @date October, 2014
    !> - use start and count array instead of domain structure.
@@ -396,9 +384,4 @@
          &               " in mpp strcuture "//TRIM(td_mpp%c_name))
 
-      ELSEIF( td_mpp%i_id == 0 )THEN
-
-         CALL logger_error( " IOM MPP READ VAR: mpp structure not opened. "//&
-         &               " can not read variable in "//TRIM(td_mpp%c_name))   
-      
       ELSE
 
@@ -417,5 +400,5 @@
                CALL logger_error( &
                &  " IOM MPP READ VAR: there is no variable with "//&
-               &  "name or standard name "//TRIM(cd_name)//&
+               &  "name or standard name"//TRIM(cd_name)//&
                &  " in processor/file "//TRIM(td_mpp%t_proc(1)%c_name))
             ENDIF
@@ -433,5 +416,5 @@
    !
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
+   !> - November, 2013- Initial Version
    !> @date October, 2014
    !> - use start and count array instead of domain structure.
@@ -484,15 +467,4 @@
       IF( PRESENT(id_count) ) il_count(:)=id_count(:)
 
-      CALL logger_debug("IOM MPP READ VAR VALUE: start "//&
-               &  TRIM(fct_str(il_start(jp_I)))//","//&
-               &  TRIM(fct_str(il_start(jp_J)))//","//&
-               &  TRIM(fct_str(il_start(jp_K)))//","//&
-               &  TRIM(fct_str(il_start(jp_L))) )
-      CALL logger_debug("IOM MPP READ VAR VALUE: count "//&
-               &  TRIM(fct_str(il_count(jp_I)))//","//&
-               &  TRIM(fct_str(il_count(jp_J)))//","//&
-               &  TRIM(fct_str(il_count(jp_K)))//","//&
-               &  TRIM(fct_str(il_count(jp_L))) )
-
       DO jk=1,ip_maxdim
          IF( .NOT. td_var%t_dim(jk)%l_use )THEN
@@ -504,15 +476,6 @@
       ENDDO
 
+
       IF( ANY(il_end(:) > td_mpp%t_dim(:)%i_len) )THEN
-            CALL logger_debug("IOM MPP READ VAR VALUE: start + count "//&
-               &  TRIM(fct_str(il_end(jp_I)))//","//&
-               &  TRIM(fct_str(il_end(jp_J)))//","//&
-               &  TRIM(fct_str(il_end(jp_K)))//","//&
-               &  TRIM(fct_str(il_end(jp_L))) )
-            CALL logger_debug("IOM MPP READ VAR VALUE: dimension "//&
-               &  TRIM(fct_str(td_mpp%t_dim(jp_I)%i_len))//","//&
-               &  TRIM(fct_str(td_mpp%t_dim(jp_J)%i_len))//","//&
-               &  TRIM(fct_str(td_mpp%t_dim(jp_K)%i_len))//","//&
-               &  TRIM(fct_str(td_mpp%t_dim(jp_L)%i_len)) )
             CALL logger_fatal("IOM MPP READ VAR VALUE: start + count "//&
             &                 "exceed dimension bound.")
@@ -620,18 +583,14 @@
    !
    !> @details
-   !> optionally, you could specify the dimension order (default 'xyzt')
    !
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
-   !> @date July, 2015 - add dimension order option 
+   !> - November, 2013- Initial Version
    !
    !> @param[inout] td_mpp mpp structure
-   !> @param[In] cd_dimorder dimension order
-   !-------------------------------------------------------------------
-   SUBROUTINE iom_mpp_write_file(td_mpp, cd_dimorder)
+   !-------------------------------------------------------------------
+   SUBROUTINE iom_mpp_write_file(td_mpp)
       IMPLICIT NONE
       ! Argument      
-      TYPE(TMPP)      , INTENT(INOUT) :: td_mpp
-      CHARACTER(LEN=*), INTENT(IN   ), OPTIONAL :: cd_dimorder
+      TYPE(TMPP), INTENT(INOUT) :: td_mpp
 
       ! local variable
@@ -651,5 +610,5 @@
                !CALL file_del_att(td_mpp%t_proc(ji), 'ew_overlap')
 
-               CALL iom_write_file(td_mpp%t_proc(ji), cd_dimorder)
+               CALL iom_write_file(td_mpp%t_proc(ji))
             ELSE
                CALL logger_debug( " MPP WRITE: no id associated to file "//&
Index: /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/TOOLS/SIREN/src/iom_rstdimg.f90
===================================================================
--- /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/TOOLS/SIREN/src/iom_rstdimg.f90	(revision 10250)
+++ /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/TOOLS/SIREN/src/iom_rstdimg.f90	(revision 10251)
@@ -131,5 +131,5 @@
    !>
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
+   !> - November, 2013- Initial Version
    !
    !> @param[inout] td_file   file structure
@@ -284,5 +284,5 @@
    !>
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
+   !> - November, 2013- Initial Version
    !
    !> @param[inout] td_file   file structure
@@ -328,5 +328,5 @@
    !>
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
+   !> - November, 2013- Initial Version
    !
    !> @param[inout] td_file   file structure
@@ -394,5 +394,5 @@
    !>
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
+   !> - November, 2013- Initial Version
    !
    !> @param[inout] td_file   file structure
@@ -544,5 +544,5 @@
    !
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
+   !> - November, 2013- Initial Version
    !
    !> @param[inout] td_file   file structure
@@ -636,5 +636,5 @@
    !
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
+   !> - November, 2013- Initial Version
    !
    !> @param[inout] td_file   file structure
@@ -688,5 +688,5 @@
    !
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
+   !> - November, 2013- Initial Version
    !
    !> @param[inout] td_file   file structure
@@ -733,5 +733,5 @@
    !
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
+   !> - November, 2013- Initial Version
    !
    !> @param[inout] td_file   file structure
@@ -778,5 +778,5 @@
    !
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
+   !> - November, 2013- Initial Version
    !
    !> @param[inout] td_file   file structure
@@ -820,5 +820,5 @@
    !
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
+   !> - Nov, 2013- Initial Version
    !
    !> @param[in] td_file   file structure
@@ -863,5 +863,5 @@
    !
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
+   !> - Nov, 2013- Initial Version
    !
    !> @param[in] td_file   file structure
@@ -907,5 +907,5 @@
    !
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
+   !> - November, 2013- Initial Version
    !
    !> @param[in] td_file   file structure
@@ -972,5 +972,5 @@
    !
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
+   !> - November, 2013- Initial Version
    !
    !> @param[in] td_file   file structure
@@ -1037,5 +1037,5 @@
    !>
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
+   !> - November, 2013- Initial Version
    !
    !> @param[in] td_file   file structure
@@ -1058,5 +1058,4 @@
       INTEGER(i4), DIMENSION(ip_maxdim)            :: il_start
       INTEGER(i4), DIMENSION(ip_maxdim)            :: il_count
-
       REAL(dp),    DIMENSION(:,:,:,:), ALLOCATABLE :: dl_value
 
@@ -1205,16 +1204,4 @@
       ENDIF
 
-      ! force to change _FillValue to avoid mistake 
-      ! with dummy zero _FillValue
-      IF( td_var%d_fill == 0._dp )THEN
-         CALL var_chg_FillValue(td_var)
-      ENDIF
-
-      ! use scale factor and offset
-      WHERE( td_var%d_value(:,:,:,:) /= td_var%d_fill )
-         td_var%d_value(:,:,:,:) = &
-         &  td_var%d_value(:,:,:,:)*td_var%d_scf + td_var%d_ofs
-      END WHERE
-
    END SUBROUTINE iom_rstdimg__read_var_value
    !-------------------------------------------------------------------
@@ -1225,5 +1212,5 @@
    !>
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
+   !> - November, 2013- Initial Version
    !> @date September, 2014
    !> - use iom_rstdimg__get_rec
@@ -1321,5 +1308,5 @@
    !>
    !> @author J.Paul
-   !> @date September, 2014 - Initial Version
+   !> - September, 2014- Initial Version
    !
    !> @param[inout] td_file   file structure
@@ -1426,5 +1413,5 @@
    !
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
+   !> - November, 2013- Initial Version
    !
    !> @param[inout] td_file   file structure
@@ -1643,9 +1630,7 @@
    !>
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
-   !> @date July, 2015
-   !> - bug fix: do not use scale factor an offset for case no0d, no1d...
+   !> - November, 2013- Initial Version
    !>
-   !> @param[in] td_file file structure
+   !> @param[in] id_fileid file id
    !-------------------------------------------------------------------
    SUBROUTINE iom_rstdimg__write_var(td_file)
@@ -1682,14 +1667,4 @@
             CASE('no0d','no1d','no2d','no3d')
             CASE DEFAULT
-               
-               ! use scale factor and offset
-               WHERE( td_file%t_var(ji)%d_value(:,:,:,:) /= &
-               &      td_file%t_var(ji)%d_fill )
-                  td_file%t_var(ji)%d_value(:,:,:,:) = &
-                  &   ( td_file%t_var(ji)%d_value(:,:,:,:) - &
-                  &     td_file%t_var(ji)%d_ofs ) / &
-                  &   td_file%t_var(ji)%d_scf
-               END WHERE
-
                DO jk=1,td_file%t_var(ji)%t_dim(3)%i_len
                   SELECT CASE (td_file%t_var(ji)%i_ndim)
